WHENEVER SQLERROR EXIT FAILURE ROLLBACK;
WHENEVER OSERROR  EXIT FAILURE ROLLBACK;


spool GLD_SET_OF_BOOKS_VL.log


prompt
prompt Creating view GLD_SET_OF_BOOKS_VL
prompt =================================
prompt
create or replace force view gld_set_of_books_vl as
Select a.rowid row_id,
       a.SET_OF_BOOKS_ID,
       a.SET_OF_BOOKS_CODE,
       b.DESCRIPTION_TEXT SET_OF_BOOKS_NAME,
       a.PERIOD_SET_CODE,
       a.FUNCTIONAL_CURRENCY_CODE,
       a.ACCOUNT_SET_ID,
       a.ENABLED_FLAG,
       a.CREATION_DATE,
       a.CREATED_BY,
       a.LAST_UPDATE_DATE,
       a.LAST_UPDATED_BY
  from GLD_SET_OF_BOOKS  a,
       FND_DESCRIPTIONS b
 WHERE B.LANGUAGE(+) = USERENV ('lang')
   AND A. SET_OF_BOOKS_NAME_ID =B.DESCRIPTION_ID(+)
   AND B.REF_TABLE(+)='GLD_SET_OF_BOOKS'
   AND B.REF_FIELD(+)='SET_OF_BOOKS_NAME_ID';

/


spool off

exit

